
/* Fonts */
@import url('https://fonts.googleapis.com/css?family=Roboto:500|Russo+One&display=swap');

/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}
body {
  line-height: 1;
}
ol, ul {
  list-style: none;
}
blockquote, q {
  quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}


/* General Element Styles */

html, article#Projects {
  background-color: #0a0a0a; /* Nearly black */
}
html { padding: .5em; }

h1, h2, h3 {
  font-family: "Russo One", "Roboto", "Helvetica", "sans-serif";
  color: #4fe2ff; /* Watery Blue */
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}
h1 { font-size: 2em; margin-bottom: .25em; }
h2 { font-size: 1.7em; margin-bottom: .75em; }
h3 { font-size: 1.4em; margin-bottom: .75em; }

p, a, .project-ol li, .project-ul li, .project-ol-math li, .project-ul-math li, ul.resume-info-list li, ul.resume-info-set li, .summary-text {
  font-family: "Roboto", "Helvetica", "sans-serif";
  color: #c9c9c9; /* Very light grey */
  font-size: 1.1rem;
  line-height: 1.3;
}

p, ul.resume-info-list li, ul.resume-info-set li {
  color: #c9c9c9; /* Very light grey */
  margin-bottom: 1em;
  column-count: 3;
  column-width: 37.5em;
}
ul.resume-info-set:first-child:before {
    content: none;
}

figure { display: block; }

a { text-decoration: none; }

a.regular-reference {
  text-decoration: underline;
}

img, .overview-img, .project-nav figure {
  display: block;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
}


/*Navigation Bar*/

.navbar a, footer {
  text-decoration: underline;
}

.navbar li, footer {
  padding: .75em; /*12/16px = .75em*/
}

.navbar li a:hover, footer a:hover, a.regular-reference:hover {
  color: #4fe2ff; /* Watery Blue */
}

.navbar .navbar-active a, a.regular-reference  {
  color: #02558c; /* Dark Blue */
}

nav.navbar {
  padding-bottom: 3em;
}


/*Overview, Project Navigation*/

.overview, .project-nav li, li.project-phase, .summary-text {
  background-color: #242424; /*Dark grey*/
  padding: .5em;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 4em;
}
.overview, .project-nav li, {
  max-width: 37.5em;
}

.overview-img, .project-nav figure {
  max-width: 24em;
}
.overview-img figcaption, .project-nav figcaption {
  display: none;
}

.project-nav li:hover, .resume-subsections li.clickable:hover {
  background-color: #333; /*Medium Grey*/
}

.project-nav figure {
  margin-bottom: 1em;
}

/* Resume */

section.resume-section {
  margin-bottom: 4em;
}

ul.resume-subsections {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin: -.75em;
}

ul.resume-subsections>li {
  flex: 1 1 24em;
  background-color: #242424; /*Dark grey*/
  margin: .75em;
  padding: 1em;
}


ul.resume-info-list  {
  list-style-type: circle;
  list-style-position: outside;
  margin-left: 1em;
}

ul.resume-info-set {
  margin-left: 1em;
  text-align: center;
}

ul.resume-info-set li {
  display: inline;
}

ul.resume-info-set li:before {
  content: '\2022';
  margin-right: 0.75em;
  margin-left: .75em;
}

aside.download {
  display: flex;
  justify-content: center;
}

a.download {
  background-color: #242424; /*Dark grey*/
  line-height: 1;
  padding: 1em;
}

h2.download {
  margin-bottom: 0em;
}

a.download:hover {
  background-color: #333; /*Medium Grey*/
}

p.resume-subsection-note {
  text-align: center;
  margin-bottom: 0em;
  line-height: 1;
  font-size: 1rem;
}

/* Project Phases */

section.project-section {
  margin-bottom: 4em;
}

ol.project-phases {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin: -.75em;
}

li.project-phase {
  flex: 1 1 37.5em;
  background-color: #242424; /*Dark grey*/
  min-width: 0em;
  padding: .75em;
  margin: .75em;
}

p.project-p { }
p.project-p-math {
  display:block;
  overflow: auto;
  background-color: #333; /*Medium Grey*/
}

ul.project-ul, ul.project-ul-math, ol.project-ol, ol.project-ol-math {
  list-style-position: outside;
  margin-left: 1em;
}
ul.project-ul, ul.project-ul-math {
  list-style-type: circle;
}
ol.project-ol, ol.project-ol-math {
  list-style: decimal;
}
ul.project-ul-math, ol.project-ol-math {
  margin-bottom: 2em;
}

.summary-text   {
  max-width: 50rem;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

/*500px/16px = 30.625em*/
@media screen and (min-width: 30.625em) {

  /*Project Navigation*/

  .navbar ul, footer {
    list-style-type: none;
    display: flex;
    justify-content: center;
  }

}

/*990px/16px = 61.875em*/
@media screen and (min-width: 61.875em) {
    html {
      padding: 2em; /*48px/16px = 3em*/
    }

    p {
      font-size: 1.25em; /* 20px/16px = 1.25em */
      padding-bottom: 1.1em; /* 22px/20px = 1.2222...em */
    }

    /*Project Navigation*/

    /*.project-nav ul {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr;
      grid-gap: 1em;
    }*/
    .project-nav ul {
      display: flex;
      justify-content: center;
      align-items: top;
      flex-wrap: wrap;
    }
    .project-nav ul li {
      max-width: 30rem;
      margin: 1rem;
      padding: 1rem;
    }

    /*Articles*/
    .overview { max-width: 100%; }
    .overview-body { display: flex; flex-flow: row-reverse; padding-bottom: 1rem; }
    .overview-text { flex: 1 1 37.5em; }
    .overview-img { flex: 1 1 20em; margin-right: 1em; max-width: 20em; }
  }
}
